import java.io.*;
import java.util.*;

public class TestGen {
	public static void main(String[] args) {
		new TestGen().run();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	int tNumber;

	public void print(long n) throws IOException {
		if (tNumber < 10)
			out = new PrintWriter("0" + tNumber);
		else
			out = new PrintWriter("" + tNumber);
		tNumber++;
		out.println(n);
		out.close();
	}

	public void solve() throws IOException {
		Random rnd = new Random(31);
		tNumber = 1;

		print(17);
		for (int i = 0; i < 2; i++) {
			print(4000 + rnd.nextInt(1000));
		}
		print(5000);

		long a = 1;
		long b = 1;
		long z = 3;
		long j = 3;

		while (z < 4000000) {
			z += (a + b) * j;
			j++;
			long t = b;
			b += a;
			a = t;
		}

		for (int i = 0; i < 6; i++) {
			print(z + j * i + rnd.nextInt(3) - 1);
		}
		for (int i = 0; i < 1; i++) {
			print(9000000 + rnd.nextInt(1000000));
		}
		print(10000000);

		while (z < 5000000L * 100000L * 1000000L) {
			z += (a + b) * j;
			j++;
			long t = b;
			b += a;
			a = t;
		}

		for (int i = 0; i < 6; i++) {
			print(z + j * i + rnd.nextInt(3) - 1);
		}
		for (int i = 0; i < 1; i++) {
			print(9000000 * 1000000 * 100000 + (long) rnd.nextInt(1000000)
					* (long) rnd.nextInt(1000000) * (long) rnd.nextInt(100000));
		}
		print((long)1e18);
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);
			
			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}